Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Equinox » Bundle version range parser
Bundle version range parser [message #501034] Mon, 30 November 2009 12:18 Go to next message
Volker Wegert is currently offline Volker Wegert
Messages: 169
Registered: July 2009
Senior Member
Hi all,

where can I find the code that parses and evaluates the bundle version ranges
in the dependencies? I have a very similar requirement (aspects in a oAW
project that should be enabled depending on some target version number) - is
there a way to reuse the parse-and-evaluate code?

Thanks
Volker


--
* Volker Wegert * http://www.volker-wegert.de/contact *
141 Reasons why you can't find your system administrator: 44. (S)he's standing
behind you, holding an axe.
Re: Bundle version range parser [message #501324 is a reply to message #501034] Tue, 01 December 2009 15:49 Go to previous messageGo to next message
Thomas Watson is currently offline Thomas Watson
Messages: 420
Registered: July 2009
Senior Member
Volker Wegert wrote:
> Hi all,
>
> where can I find the code that parses and evaluates the bundle version ranges
> in the dependencies? I have a very similar requirement (aspects in a oAW
> project that should be enabled depending on some target version number) - is
> there a way to reuse the parse-and-evaluate code?
>
> Thanks
> Volker
>
>

See
http://dev.eclipse.org/viewsvn/index.cgi/org.eclipse.equinox /framework/bundles/org.eclipse.osgi/core/adaptor/org/eclipse /osgi/service/resolver/VersionRange.java?root=RT_Project& ;view=markup

Tom
Re: Bundle version range parser [message #501801 is a reply to message #501324] Thu, 03 December 2009 14:58 Go to previous message
Volker Wegert is currently offline Volker Wegert
Messages: 169
Registered: July 2009
Senior Member
Thomas Watson <tjwatson@us.ibm.com> writes:
> Volker Wegert wrote:
>> where can I find the code that parses and evaluates the bundle version ranges
>> in the dependencies?
> See
> http://dev.eclipse.org/viewsvn/index.cgi/org.eclipse.equinox /framework/bundles/org.eclipse.osgi/core/adaptor/org/eclipse /osgi/service/resolver/VersionRange.java?root=RT_Project& ;view=markup

Cool stuff, thanks!
Volker

--
* Volker Wegert * http://www.volker-wegert.de/contact *
141 Reasons why you can't find your system administrator: 111. Trying to
*avoid* being in a meeting
Previous Topic:Problem with adding comm.jar as a library inside my bundle
Next Topic:Equinox OSGi container doesn't recognize unix user secondary groups file permissions.
Goto Forum:
  


Current Time: Thu Jul 31 07:37:46 EDT 2014

Powered by FUDForum. Page generated in 0.14417 seconds